aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetUser

Synopsis

- data GetUser = GetUser (Maybe Text)
- data GetUserResponse = GetUserResponse User
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data GetUser Source #

Retreives information about the given user.

If a user name is not given, IAM determines the user name based on the access key signing the request.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetUser.html

Constructors

GetUser (Maybe Text) |

#### Instances

Instances details

SignQuery GetUser Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ServiceConfiguration GetUser |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration

Methods

signQuery :: GetUser -> ServiceConfiguration GetUser queryType -> SignatureData -> SignedQuery Source #

Show GetUser Source # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods showsPrec :: Int -> GetUser -> ShowS Source # show :: GetUser -> String Source # showList :: [GetUser] -> ShowS Source #
Eq GetUser Source # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods (==) :: GetUser -> GetUser -> Bool Source # (/=) :: GetUser -> GetUser -> Bool Source #
Ord GetUser Source # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods compare :: GetUser -> GetUser -> Ordering Source # (<) :: GetUser -> GetUser -> Bool Source # (<=) :: GetUser -> GetUser -> Bool Source # (>) :: GetUser -> GetUser -> Bool Source # (>=) :: GetUser -> GetUser -> Bool Source # max :: GetUser -> GetUser -> GetUser Source # min :: GetUser -> GetUser -> GetUser Source #
ResponseConsumer GetUser GetUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ResponseMetadata GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUser -> IORef (ResponseMetadata GetUserResponse) -> HTTPResponseConsumer GetUserResponse Source #

Transaction GetUser GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser
type ServiceConfiguration GetUser Source # |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration

data GetUserResponse Source #

Constructors

GetUserResponse User |

#### Instances

Instances details

AsMemoryResponse GetUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type MemoryResponse GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse

Methods

loadToMemory :: GetUserResponse -> ResourceT IO (MemoryResponse GetUserResponse) Source #

Show GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods showsPrec :: Int -> GetUserResponse -> ShowS Source # show :: GetUserResponse -> String Source # showList :: [GetUserResponse] -> ShowS Source #
Eq GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods (==) :: GetUserResponse -> GetUserResponse -> Bool Source # (/=) :: GetUserResponse -> GetUserResponse -> Bool Source #
Ord GetUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Methods

compare :: GetUserResponse -> GetUserResponse -> Ordering Source #

(<) :: GetUserResponse -> GetUserResponse -> Bool Source #

(<=) :: GetUserResponse -> GetUserResponse -> Bool Source #

(>) :: GetUserResponse -> GetUserResponse -> Bool Source #

(>=) :: GetUserResponse -> GetUserResponse -> Bool Source #

max :: GetUserResponse -> GetUserResponse -> GetUserResponse Source #

min :: GetUserResponse -> GetUserResponse -> GetUserResponse Source #

ResponseConsumer GetUser GetUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ResponseMetadata GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUser -> IORef (ResponseMetadata GetUserResponse) -> HTTPResponseConsumer GetUserResponse Source #

Transaction GetUser GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser
type MemoryResponse GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse
type ResponseMetadata GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

data User Source #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User Source # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS Source # show :: User -> String Source # showList :: [User] -> ShowS Source #
Eq User Source # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool Source # (/=) :: User -> User -> Bool Source #
Ord User Source # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering Source # (<) :: User -> User -> Bool Source # (<=) :: User -> User -> Bool Source # (>) :: User -> User -> Bool Source # (>=) :: User -> User -> Bool Source # max :: User -> User -> User Source # min :: User -> User -> User Source #